<%page expression_filter="h"/>
<%namespace name="fn" file="functions.mako" inheritable="True"/>
<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head><title>${self.title()} &mdash; XVM</title>
  <base href="${cherrypy.request.base}${"/admin/" if cherrypy.request.state.isadmin else ""}" />
  <link href="/static/favicon.ico" type="image/x-icon" rel="shortcut icon">
  <link rel="stylesheet" href="/static/style.css" type="text/css" />
  <link rel="stylesheet" href="/static/layout.css" type="text/css" media="screen" />
  <script type="text/javascript" src="/static/nc.js"></script>
  <script type="text/javascript" src="/static/prototype.js"></script>
  <script type="text/javascript">
var helpWin = null;
function closeWin(){
	if (helpWin != null){
		if(!helpWin.closed)
			helpWin.close();
	}
}

function helppopup(name){
   closeWin()
   helpWin = window.open("help?simple=true&subject="+encodeURIComponent(name), "Help",
"status, height = 300, width = 400");
   if (window.focus){helpWin.focus();}
   return false;
}
</script>
</head>
<body id="body"
% if hasattr(self.attr, 'pageclass'):
  class="${self.attr.pageclass}"
% endif
  >

% if False:
<div>
<p>We are in the process of modifying the service.  Things likely will not work.</p>
</div>
% endif

% if error_text is not UNDEFINED:
<div id="err">
<p>STDERR:</p><pre>${error_text}</pre>
</div>
% endif

% if not simple:
% if cherrypy.request.login:
<p class="loggedin">Welcome, <span class="name">${cherrypy.request.login}</span>.
% if cherrypy.request.state.isadmin:
You are currently authenticated as an administrator.
% endif
</p>
% endif

<ul class="navigation">
<li><a href="list">List</a></li>
% if machine:
<li><a href="machine/${machine.machine_id}">Info</a></li>
<li><a href="machine/${machine.machine_id}/vnc">Console</a></li>
% endif
<li><a href="help">Help</a></li>
</ul>

% endif

% if not simple:
<h1>${self.title()} &mdash; XVM</h1>
% endif

% if result:
<div id="result" class="result">
${result}
</div>
% endif

${next.body()}
% if not simple:
<hr />
Questions? Contact <a href="mailto:xvm@mit.edu">xvm@mit.edu</a>.
% endif
</body>
</html>

<%def name="title()">
XVM
</%def>
